org.eclipse.microprofile.openapi.models.media

## Interface Content

All Superinterfaces:
  Constructible

    public interface Content
    extends Constructible

Content

A map to assist describing the media types for an operation's parameter or response.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`Content` `addMediaType(String name, MediaType mediaType)` Adds the MediaType for this Content, where the key is the name of the MediaType and the value is the object that describes the content passed into or returned from an operation.
`default MediaType` `getMediaType(String name)` Returns a media type for a given name.
`Map<String,MediaType>` `getMediaTypes()` Returns a copy map (potentially immutable) of media types.
`default boolean` `hasMediaType(String name)` Check whether a media type is present in the map.
`void` `removeMediaType(String name)` Removes the given MediaType for this Content by its name.
`void` `setMediaTypes(Map<String,MediaType> mediaTypes)` Set the media types map to this Content

### Method Detail

#### addMediaType

    Content addMediaType(String name,
                         MediaType mediaType)

Adds the MediaType for this Content, where the key is the name of the MediaType and the value is the object that describes the content passed into or returned from an operation.

Parameters:
  `name` - the name of a media type e.g. application/json.
  `mediaType` - an object that describes the content passed into or returned from an operation. null values will be rejected (implementation will throw an exception) or ignored.
Returns:
  the current Content instance

#### removeMediaType

    void removeMediaType(String name)

Removes the given MediaType for this Content by its name.

Parameters:
  `name` - a path name that will be removed.

#### getMediaTypes

    Map<String,MediaType> getMediaTypes()

Returns a copy map (potentially immutable) of media types.

Returns:
  all items

#### setMediaTypes

    void setMediaTypes(Map<String,MediaType> mediaTypes)

Set the media types map to this Content

Parameters:
  `mediaTypes` - a map containing the list of media types. Keys are name of a media type e.g. application/json.

#### hasMediaType

    default boolean hasMediaType(String name)

Check whether a media type is present in the map. This is a convenience method for `getMediaTypes().containsKey(name)`

Parameters:
  `name` - the name of a media type e.g. application/json.
Returns:
  a boolean to indicate if the media type is present or not.

#### getMediaType

    default MediaType getMediaType(String name)

Returns a media type for a given name. This is a convenience method for `getMediaTypes().get(name)`

Parameters:
  `name` - the name of a media type e.g. application/json.
Returns:
  the corresponding media type or null.